PHPeerTube - A PHP‑based federated video platform, inspired by PeerTube.

Copyright (C) 2025 Lucentinian Works Co Ltd

API example

curl -i -H "Accept: application/activity+json" "http://phpeertube.ehehdada.com/accounts/testuser/outbox"

Response

The response is an ActivityPub OrderedCollection:

{
    "@context": "https://www.w3.org/ns/activitystreams",
    "id": "http://phpeertube.ehehdada.com/accounts/testuser/outbox",
    "type": "OrderedCollection",
    "first": "http://phpeertube.ehehdada.com/accounts/testuser/outbox?page=1"
}

To fetch items:

curl -i -H "Accept: application/activity+json" "http://phpeertube.ehehdada.com/accounts/testuser/outbox?page=1"

Response (Page)

{
    "@context": [
        "https://www.w3.org/ns/activitystreams",
        "https://w3id.org/security/v1",
        {
            "pt": "https://joinpeertube.org/ns#"
        }
    ],
    "id": "http://phpeertube.ehehdada.com/accounts/testuser/outbox?page=1",
    "type": "OrderedCollectionPage",
    "partOf": "http://phpeertube.ehehdada.com/accounts/testuser/outbox",
    "orderedItems": [
        {
            "type": "Create",
            "id": "http://phpeertube.ehehdada.com/activity/1/create",
            "actor": "http://phpeertube.ehehdada.com/accounts/testuser",
            "published": "2025-01-01T00:00:00+00:00",
            "to": [
                "https://www.w3.org/ns/activitystreams#Public"
            ],
            "cc": [
                "http://phpeertube.ehehdada.com/accounts/testuser/followers"
            ],
            "object": {
                "type": "Video",
                "id": "http://phpeertube.ehehdada.com/videos/watch/1",
                "name": "My First Video",
                "content": "Description of video",
                "published": "2025-01-01T00:00:00+00:00",
                "url": {
                    "type": "Link",
                    "mimeType": "text/html",
                    "href": "http://phpeertube.ehehdada.com/videos/watch/1"
                },
                "attributedTo": "http://phpeertube.ehehdada.com/accounts/testuser"
            }
        }
    ]
}